#
# config.sh
#
# By Ross Ridge
# Public Domain
#
# @(#) myjis config.sh 1.11 00/05/15 12:34:50
#
#

#
#	WIDE_CHARACTER_SET.  Set this value to either "unicode" to use
#	Unicode as thew wide character set encoding, or set it to "euc"
#	to use EUC Complete Two-Byte encoding as the wide character set.
#

WIDE_CHARACTER_SET="euc"

#
#	INCLUDE_UNICODE_TABLES.  Set this value to "yes" to include the
#	the Unicode tables and translation functions even if the wide
#	character set isn't Unicode.  This will also enable support
#	for UTF-8.  Setting this value to "no" will reduce the size of
#	the library and executables it's statically linked with by
#	about 80k.
#

INCLUDE_UNICODE_TABLES="no"

#
#
# 	POSIX_SHELL_PATH.  The path to a shell interpreter that
#	supports POSIX.2 features such as functions and new style
#	command substitutions.
# 
# POSIX_SHELL_PATH=/bin/ksh
# POSIX_SHELL_PATH=/bin/sh
# POSIX_SHELL_PATH=/usr/local/bin/bash
#

POSIX_SHELL_PATH=/opt/bin/bash

#
#	NEW_AWK.  The name of a "new" awk compatable utility.
#
# NEW_AWK=nawk
# NEW_AWK=awk
# NEW_AWK=gawk
#

NEW_AWK=nawk

#
# The following variables affect the run time behaviour "kl" script.
#

#
#	MYJIS_BIN_DIRECTORY.  The directory to install the end user
#	executables, myrk and kl, to.
#
# MYJIS_BIN_DIRECTORY=/usr/local/bin
# MYJIS_BIN_DIRECTORY=/opt/myjis/bin
#

MYJIS_BIN_DIRECTORY=/u1/rridge/csc/bin/$MYBINTYPE

#
#	MYJIS_LIB_DIRECTORY.  The directory to install the library
#	routines and executables.
#
# MYJIS_LIB_DIRECTORY=/usr/local/lib/myjis
# MYJIS_LIB_DIRECTORY=/opt/myjis/lib
#

MYJIS_LIB_DIRECTORY=/u1/rridge/csc/myjis/lib/$MYBINTYPE

