/*
 * j_getloc.c
 *
 * By Ross Ridge
 * Public Domain
 *
 */

#include "inline.h"

__JIS_INLINE_SCCS_ID("@(#) myjis j_getloc.c 1.2 98/06/01 22:28:07")

__JIS_INLINE_FUNCTION(
enum jis_locale_ctypes,
__jis_get_locale, (jis_state const *state), {
	if (state == NULL || state->locale == 0) {
		return __jis_locale_ctype;
	}
	return (enum jis_locale_ctypes)state->locale;
})

#define __jis_get_locale(state) __JIS_INLINE_NAME(__jis_get_locale)(state)
