/*
 * j_isinit.c
 *
 * By Ross Ridge
 * Public Domain
 *
 * Implementation of jis_is_initial_state().
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis j_isinit.c 1.3 97/08/04 04:58:49";
#endif

int
jis_is_initial_state(jis_state const *state) {
	return state == NULL
	       || __jis_get_locale(state) != JIS_LOCALE_JIS 
	       || (state->state == __JIS_ROMAN && state->half_katakana);
}
