/*
 * sccsfile.c 
 *
 * By Ross Ridge
 * Public Domain
 *
 * Common members of the class sccs_file and its subclasses.  Most of
 * the members in this file are used to read from the SCCS file.
 *
 * @(#) myjis xalloc.h 1.2 96/10/24 18:50:57
 *
 */

#ifndef __XALLOC_H__
#define __XALLOC_H__

#include <stddef.h>

void *xcheck(void *p);

void *xmalloc(size_t n);
void *xrealloc(void *p, size_t n);
char *xstrdup(char const *s);

#endif /* __XALLOC_H__ */
