/*
 * j_utow.c
 *
 * By Ross Ridge
 * Public Domain
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis j_utow.c 1.2 98/06/01 22:28:16";
#endif

#ifdef __JIS_CONFIG_HAVE_UNICODE

#ifdef __JIS_CONFIG_USE_UNICODE

wide_int
jis_unicode_to_wide(long ucc) {
	return (wide_int) ucc;
}

#else /* __JIS_CONFIG_USE_UNICODE */

wide_int
jis_unicode_to_wide(long ucc) {
	enum char_domain table;
	int code, code2;

	if (__jis_unicode_to_kuten(ucc, &table, &code, &code2)) {
		return WIDE_EOF;
	}
	return __jis_kuten_to_euc(table, code, code2);
}

#endif /* __JIS_CONFIG_USE_UNICODE */
	
#else /* __JIS_CONFIG_HAVE_UNICODE */

int __jis_utow_dummy;

#endif /* __JIS_CONFIG_HAVE_UNICODE */
