/*
 * jisdef.h
 *
 * By Ross Ridge
 * Public Domain
 *
 * @(#) myjis jisdef.h 1.1 98/06/01 22:30:25
 *
 */

#ifndef __JIS_JISDEF_H__
#define __JIS_JISDEF_H__

#include "config-sh.h"

#define __JIS_MB_LEN_MAX	9

#ifdef __JIS_CONFIG_JIS_ESCAPES_IN_ALL_LOCALES
#define __JIS_MB_CUR_MAX	9
#else
#define __JIS_MB_CUR_MAX	(__jis_mb_cur_max[__jis_locale_ctype - 2])
#endif

extern int const __jis_mb_cur_max[];

struct __jis_state {
	enum __jis_states {
		__JIS_ROMAN, __JIS_ASCII, __JIS_KATAKANA,
		__JIS_1983, __JIS_1990, __JIS_0212
	} state;
	signed char locale;
	signed char half_katakana;
};

#endif /* __JIS_JISDEF_H__ */
