/*
 * linebuf.c
 *
 * By Ross Ridge
 * Public Domain
 *
 * Members of the class _linebuf.
 *
 */

#include "defs.h"
#include "linebuf.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis linebuf.c 1.1 97/02/21 01:44:10";
#endif

int
_linebuf::read_line(FILE *f) {
	buf[buflen - 2] = '\0';

	char *s = fgets(buf, buflen, f);
	while(s != NULL) {
		char c = buf[buflen - 2];
		if (c == '\0' || c == '\n') {
#if 0
			printf("%s", buf);
#endif
			return 0;
		}

		buf = (char *) realloc(buf, buflen * 2);
		if (buf == NULL) {
			return 1;
		}

		s = buf + buflen - 1;
		buflen *= 2;
		buf[buflen - 2] = '\0';
		
#if 1
		fprintf(stderr, "@@@ buflen = %d\n", buflen);
#endif		
		s = fgets(s, buf + buflen - s, f);
	}

	return 1;
}

/* Local variables: */
/* mode: c++ */
/* End: */
